## com.bbn.openmap.dataAccess.dted
Class DTEDFrameDSI

    java.lang.Object
      com.bbn.openmap.dataAccess.dted.DTEDFrameDSI

public class DTEDFrameDSI
extends java.lang.Object

Field Summary
`java.lang.String` `compilation_date`
`int` `data_ed`
`java.lang.String` `date_res`
`java.lang.String` `dc_system`
`java.lang.String` `horiz_datum`
`float` `lat_origin`
`int` `lat_post_interval`
`float` `lon_origin`
`int` `lon_post_interval`
`java.lang.String` `maint_date`
`java.lang.String` `maint_desc`
`java.lang.String` `merge_date`
`char` `merge_version`
`float` `ne_lat`
`float` `ne_lon`
`int` `num_lat_lines`
`int` `num_lon_points`
`float` `nw_lat`
`float` `nw_lon`
`float` `orient_ang`
`int` `part_cell`
`java.lang.String` `prod_code`
`java.lang.String` `prod_res`
`java.lang.String` `product_date`
`float` `se_lat`
`float` `se_lon`
`char` `sec_code`
`java.lang.String` `sec_handling`
`java.lang.String` `sec_rel`
`java.lang.String` `sec_res`
`java.lang.String` `ser_ref_num`
`java.lang.String` `ser_res`
`java.lang.String` `series`
`java.lang.String` `spec`
`int` `spec_amen`
`float` `sw_lat`
`float` `sw_lon`
`java.lang.String` `vert_datum`

Constructor Summary
`DTEDFrameDSI(BinaryFile binFile)`

Method Summary
`static void` `main(java.lang.String[] args)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sec_code

    public char sec_code

### sec_rel

    public java.lang.String sec_rel

### sec_handling

    public java.lang.String sec_handling

### sec_res

    public java.lang.String sec_res

### series

    public java.lang.String series

### ser_ref_num

    public java.lang.String ser_ref_num

### ser_res

    public java.lang.String ser_res

### data_ed

    public int data_ed

### merge_version

    public char merge_version

### maint_date

    public java.lang.String maint_date

### merge_date

    public java.lang.String merge_date

### maint_desc

    public java.lang.String maint_desc

### prod_code

    public java.lang.String prod_code

### prod_res

    public java.lang.String prod_res

### spec

    public java.lang.String spec

### spec_amen

    public int spec_amen

### product_date

    public java.lang.String product_date

### vert_datum

    public java.lang.String vert_datum

### horiz_datum

    public java.lang.String horiz_datum

### dc_system

    public java.lang.String dc_system

### compilation_date

    public java.lang.String compilation_date

### date_res

    public java.lang.String date_res

### lat_origin

    public float lat_origin

### lon_origin

    public float lon_origin

### sw_lat

    public float sw_lat

### sw_lon

    public float sw_lon

### nw_lat

    public float nw_lat

### nw_lon

    public float nw_lon

### ne_lat

    public float ne_lat

### ne_lon

    public float ne_lon

### se_lat

    public float se_lat

### se_lon

    public float se_lon

### orient_ang

    public float orient_ang

### lat_post_interval

    public int lat_post_interval

### lon_post_interval

    public int lon_post_interval

### num_lat_lines

    public int num_lat_lines

### num_lon_points

    public int num_lon_points

### part_cell

    public int part_cell

Constructor Detail

### DTEDFrameDSI

    public DTEDFrameDSI(BinaryFile binFile)

Method Detail

### toString

    public java.lang.String toString()

### main

    public static void main(java.lang.String[] args)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details